<?php
/**
 * @file
 * materio_content_types.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function materio_content_types_user_default_permissions() {
  $permissions = array();

  // Exported permission: access private fields.
  $permissions['access private fields'] = array(
    'name' => 'access private fields',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: administer field permissions.
  $permissions['administer field permissions'] = array(
    'name' => 'administer field permissions',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_company.
  $permissions['create field_company'] = array(
    'name' => 'create field_company',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_company_distrib.
  $permissions['create field_company_distrib'] = array(
    'name' => 'create field_company_distrib',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_company_fab.
  $permissions['create field_company_fab'] = array(
    'name' => 'create field_company_fab',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_description.
  $permissions['create field_description'] = array(
    'name' => 'create field_description',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_famille.
  $permissions['create field_famille'] = array(
    'name' => 'create field_famille',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_identifiant.
  $permissions['create field_identifiant'] = array(
    'name' => 'create field_identifiant',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_infos_from_company.
  $permissions['create field_infos_from_company'] = array(
    'name' => 'create field_infos_from_company',
    'roles' => array(
      0 => 'Contact opérationnel',
      1 => 'administrator',
      2 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_memo.
  $permissions['create field_memo'] = array(
    'name' => 'create field_memo',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_note.
  $permissions['create field_note'] = array(
    'name' => 'create field_note',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_reference_materio.
  $permissions['create field_reference_materio'] = array(
    'name' => 'create field_reference_materio',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: create field_tode_company.
  $permissions['create field_tode_company'] = array(
    'name' => 'create field_tode_company',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_company.
  $permissions['edit field_company'] = array(
    'name' => 'edit field_company',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_company_distrib.
  $permissions['edit field_company_distrib'] = array(
    'name' => 'edit field_company_distrib',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_company_fab.
  $permissions['edit field_company_fab'] = array(
    'name' => 'edit field_company_fab',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_description.
  $permissions['edit field_description'] = array(
    'name' => 'edit field_description',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_famille.
  $permissions['edit field_famille'] = array(
    'name' => 'edit field_famille',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_identifiant.
  $permissions['edit field_identifiant'] = array(
    'name' => 'edit field_identifiant',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_infos_from_company.
  $permissions['edit field_infos_from_company'] = array(
    'name' => 'edit field_infos_from_company',
    'roles' => array(
      0 => 'Contact opérationnel',
      1 => 'administrator',
      2 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_memo.
  $permissions['edit field_memo'] = array(
    'name' => 'edit field_memo',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_note.
  $permissions['edit field_note'] = array(
    'name' => 'edit field_note',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_reference_materio.
  $permissions['edit field_reference_materio'] = array(
    'name' => 'edit field_reference_materio',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit field_tode_company.
  $permissions['edit field_tode_company'] = array(
    'name' => 'edit field_tode_company',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_company.
  $permissions['edit own field_company'] = array(
    'name' => 'edit own field_company',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_company_distrib.
  $permissions['edit own field_company_distrib'] = array(
    'name' => 'edit own field_company_distrib',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_company_fab.
  $permissions['edit own field_company_fab'] = array(
    'name' => 'edit own field_company_fab',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_description.
  $permissions['edit own field_description'] = array(
    'name' => 'edit own field_description',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_famille.
  $permissions['edit own field_famille'] = array(
    'name' => 'edit own field_famille',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_identifiant.
  $permissions['edit own field_identifiant'] = array(
    'name' => 'edit own field_identifiant',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_infos_from_company.
  $permissions['edit own field_infos_from_company'] = array(
    'name' => 'edit own field_infos_from_company',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_memo.
  $permissions['edit own field_memo'] = array(
    'name' => 'edit own field_memo',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_note.
  $permissions['edit own field_note'] = array(
    'name' => 'edit own field_note',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_reference_materio.
  $permissions['edit own field_reference_materio'] = array(
    'name' => 'edit own field_reference_materio',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: edit own field_tode_company.
  $permissions['edit own field_tode_company'] = array(
    'name' => 'edit own field_tode_company',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: show breve title.
  $permissions['show breve title'] = array(
    'name' => 'show breve title',
    'roles' => array(
      0 => 'anonymous user',
      1 => 'authenticated user',
      2 => 'root',
    ),
    'module' => 'materio_title_access',
  );

  // Exported permission: show company title.
  $permissions['show company title'] = array(
    'name' => 'show company title',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Contact opérationnel',
      2 => 'Premium',
      3 => 'administrator',
      4 => 'root',
    ),
    'module' => 'materio_title_access',
  );

  // Exported permission: show materiau title.
  $permissions['show materiau title'] = array(
    'name' => 'show materiau title',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Contact opérationnel',
      2 => 'Premium',
      3 => 'administrator',
      4 => 'root',
    ),
    'module' => 'materio_title_access',
  );

  // Exported permission: show page title.
  $permissions['show page title'] = array(
    'name' => 'show page title',
    'roles' => array(
      0 => 'administrator',
      1 => 'anonymous user',
      2 => 'authenticated user',
      3 => 'root',
    ),
    'module' => 'materio_title_access',
  );

  // Exported permission: show panel title.
  $permissions['show panel title'] = array(
    'name' => 'show panel title',
    'roles' => array(
      0 => 'administrator',
      1 => 'anonymous user',
      2 => 'authenticated user',
      3 => 'root',
    ),
    'module' => 'materio_title_access',
  );

  // Exported permission: show webform title.
  $permissions['show webform title'] = array(
    'name' => 'show webform title',
    'roles' => array(
      0 => 'administrator',
      1 => 'anonymous user',
      2 => 'authenticated user',
      3 => 'root',
    ),
    'module' => 'materio_title_access',
  );

  // Exported permission: view field_company.
  $permissions['view field_company'] = array(
    'name' => 'view field_company',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_company_distrib.
  $permissions['view field_company_distrib'] = array(
    'name' => 'view field_company_distrib',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Premium',
      2 => 'administrator',
      3 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_company_fab.
  $permissions['view field_company_fab'] = array(
    'name' => 'view field_company_fab',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Premium',
      2 => 'administrator',
      3 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_description.
  $permissions['view field_description'] = array(
    'name' => 'view field_description',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Premium',
      2 => 'administrator',
      3 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_famille.
  $permissions['view field_famille'] = array(
    'name' => 'view field_famille',
    'roles' => array(
      0 => 'administrator',
      1 => 'anonymous user',
      2 => 'authenticated user',
      3 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_identifiant.
  $permissions['view field_identifiant'] = array(
    'name' => 'view field_identifiant',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_infos_from_company.
  $permissions['view field_infos_from_company'] = array(
    'name' => 'view field_infos_from_company',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_memo.
  $permissions['view field_memo'] = array(
    'name' => 'view field_memo',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_note.
  $permissions['view field_note'] = array(
    'name' => 'view field_note',
    'roles' => array(
      0 => 'administrator',
      1 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_reference_materio.
  $permissions['view field_reference_materio'] = array(
    'name' => 'view field_reference_materio',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Premium',
      2 => 'administrator',
      3 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view field_tode_company.
  $permissions['view field_tode_company'] = array(
    'name' => 'view field_tode_company',
    'roles' => array(
      0 => 'Adhérent',
      1 => 'Contact opérationnel',
      2 => 'Premium',
      3 => 'administrator',
      4 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_company.
  $permissions['view own field_company'] = array(
    'name' => 'view own field_company',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_company_distrib.
  $permissions['view own field_company_distrib'] = array(
    'name' => 'view own field_company_distrib',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_company_fab.
  $permissions['view own field_company_fab'] = array(
    'name' => 'view own field_company_fab',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_description.
  $permissions['view own field_description'] = array(
    'name' => 'view own field_description',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_famille.
  $permissions['view own field_famille'] = array(
    'name' => 'view own field_famille',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_identifiant.
  $permissions['view own field_identifiant'] = array(
    'name' => 'view own field_identifiant',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_infos_from_company.
  $permissions['view own field_infos_from_company'] = array(
    'name' => 'view own field_infos_from_company',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_memo.
  $permissions['view own field_memo'] = array(
    'name' => 'view own field_memo',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_note.
  $permissions['view own field_note'] = array(
    'name' => 'view own field_note',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_reference_materio.
  $permissions['view own field_reference_materio'] = array(
    'name' => 'view own field_reference_materio',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: view own field_tode_company.
  $permissions['view own field_tode_company'] = array(
    'name' => 'view own field_tode_company',
    'roles' => array(
      0 => 'root',
    ),
    'module' => 'field_permissions',
  );

  return $permissions;
}
